### time_traits< boost::posix_time::ptime >

Time traits specialised for posix_time.

    template<>
    struct time_traits< boost::posix_time::ptime >

##### Types

Name | Description
--- | ---
duration_type | The duration type.
time_type | The time type.

##### Member Functions

Name | Description
--- | ---
add [static] | Add a duration to a time.
less_than [static] | Test whether one time is less than another.
now [static] | Get the current time.
subtract [static] | Subtract one time from another.
to_posix_duration [static] | Convert to POSIX duration type.

##### Requirements

Header: `asio/time_traits.hpp`

Convenience header: `asio.hpp`